Bug 450482 - Review Request: libibumad - OpenFabrics Alliance InfiniBand umad (user MAD) library
Review Request: libibumad - OpenFabrics Alliance InfiniBand umad (user MAD) l...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
noarch Linux
low Severity low
: ---
: ---
Assigned To: Ed Hill
Fedora Extras Quality Assurance
http://people.redhat.com/dledford/Inf...
:
Depends On: 450481
Blocks: 450483
  Show dependency treegraph
 
Reported: 2008-06-08 21:10 EDT by Doug Ledford
Modified: 2012-09-30 23:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-03 15:59:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ed: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Doug Ledford 2008-06-08 21:10:01 EDT
+++ This bug was initially created as a clone of Bug #450481 +++

+++ This bug was initially created as a clone of Bug #450470 +++

This package is a pre-cursor, helper package to opensm, the InfiniBand subnet
manager.  It relies upon the libibcommon package this bug was cloned from.

src rpm can be found under

http://people.redhat.com/dledford/Infiniband/f10/SRPMS/

x86_64 rpms can be found under

http://people.redhat.com/dledford/Infiniband/f10/x86_64/
Comment 1 Ed Hill 2008-06-28 13:51:27 EDT
Here's a review:

GOOD:
+ source matches upstream SHA1SUM:
    f50dcb3f1bc789dd2b951aae176b58774c6aeb44  libibumad-1.2.0.tar.gz
    f50dcb3f1bc789dd2b951aae176b58774c6aeb44  libibumad-1.2.0.tar.gz.UP
+ license ("GPLv2 or BSD") is correct and correctly included
+ proper use of ldconfig
+ *.la is correctly removed
+ builds locally (F8 x86_64)  w/ the libibcommon-devel installed
+ rpmlint reports two ignore-able warnings:
    libibumad-devel.x86_64: W: no-documentation
    libibumad-static.x86_64: W: no-documentation
+ dir ownership looks good
+ permissions look good

NEEDSWORK:
- The %install sections is missing a:
    rm -rf %{buildroot}
  at the beginning
- Please remove the ExclusiveArch:
Comment 2 Doug Ledford 2008-06-28 22:15:37 EDT
%install fixed and exclusivearch removed
Comment 3 Ed Hill 2008-06-29 09:31:18 EDT
APPROVED.
Comment 4 Doug Ledford 2008-06-30 09:20:44 EDT
New Package CVS Request
=======================
Package Name: libibumad
Short Description: OpenFabrics Alliance InfiniBand umad (user MAD) library
Owners: dledford
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-06-30 12:17:37 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.